       CHARACTER*(*) FUNCTION UPCASE(STRING)                           
       CHARACTER STRING*(*), NEWSTR*127
*
*      Convert lowercase to uppercase                                   
*
      LSTR = LEN( STRING)
      LUPC = LEN( UPCASE)
      NEWSTR = STRING( 1: LSTR)

      DO 10 I= 1, LSTR
        J = ICHAR( NEWSTR(I: I) )
        IF( J.GE.97 .AND. J.LE.122) NEWSTR(I:I) = CHAR( J-32)
 10   CONTINUE

      UPCASE(1: LUPC) = NEWSTR(1: LSTR)

      END                                                             
